%define module_version 0.004
%define module_name MooseX-DeclareX-Keyword-interface
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/Declare.pm) perl(MooseX/DeclareX.pm) perl(MooseX/DeclareX/Plugin.pm) perl(MooseX/Interface.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1.1
Summary: shiny syntax for MooseX::Interface
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/MooseX-DeclareX-Keyword-interface

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution adds a new keyword and a new plugin to the MooseX::DeclareX manpage.

=over

=item `interface'

Defines an interface. An interface is much like a role, but with some heavy
restrictions - it can't define any methods (just require implementing classes
to define them), and it can only extend other interfaces, not roles. See
the MooseX::Interface manpage for details.

=item `test_case'

Sets up test cases for an interface.

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYRIGHT README LICENSE examples
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1.1
- rebuild to restore role requires

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

